Freeciv-3.2: hud_unit_loader Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | Private Attributes
hud_unit_loader Class Reference

`#include <hudwidget.h>`

Inheritance diagram for hud_unit_loader:

## Public Member Functions

| hud_unit_loader (struct unit *pcargo, struct tile *ptile)
| ~hud_unit_loader ()
void | show_me ()

## Protected Slots

void | selection_changed (const QItemSelection &, const QItemSelection &)

## Private Attributes

QList< unit * > | transports
struct unit * | cargo
struct tile * | qtile

## Detailed Description

Definition at line 229 of file hudwidget.h.

## Constructor & Destructor Documentation

## ◆ hud_unit_loader()

hud_unit_loader::hud_unit_loader | ( | struct unit * | pcargo,
|  | struct tile * | ptile
| ) |  |

Constructor for widget allowing loading units on transports

Definition at line 1201 of file hudwidget.cpp.

## ◆ ~hud_unit_loader()

hud_unit_loader::~hud_unit_loader | ( |  | ) |

Destructor for units loader

Definition at line 1225 of file hudwidget.cpp.

## Member Function Documentation

## ◆ selection_changed

void hud_unit_loader::selection_changed | ( | const QItemSelection & | s1,
|  | const QItemSelection & | s2
| ) |  |

protectedslot

Selects given transport and closes widget

Definition at line 1293 of file hudwidget.cpp.

Referenced by hud_unit_loader().

## ◆ show_me()

void hud_unit_loader::show_me | ( |  | ) |

Shows unit loader, adds possible transports and units to table Calculates table size

Definition at line 1233 of file hudwidget.cpp.

## Field Documentation

## ◆ cargo

struct unit* hud_unit_loader::cargo

private

Definition at line 240 of file hudwidget.h.

Referenced by hud_unit_loader(), selection_changed(), and show_me().

## ◆ qtile

struct tile* hud_unit_loader::qtile

private

Definition at line 241 of file hudwidget.h.

Referenced by hud_unit_loader(), selection_changed(), and show_me().

## ◆ transports

QList<unit * > hud_unit_loader::transports

private

Definition at line 231 of file hudwidget.h.

Referenced by selection_changed(), and show_me().